#pragma once
#include <map>
struct M_everyday_taskData
{
	//ID
	int mID;
	//任务类型
	int mtaskType;
	//描述
	std::string mdes;
	//参数
	int64_t mparameter;
	//奖励
	std::vector<int> mreward;
	//VIP解锁等级
	int munlock;
};

class M_everyday_task
{
public:
private:
	static std::auto_ptr<M_everyday_task> msSingleton;
public:
	int GetCount();
	const M_everyday_taskData* GetData(int ID);
	const std::map<int, M_everyday_taskData>& GetMapData();
	void Load();
	void LoadLua();
	void Reload();
	static M_everyday_task* GetSingleton();
	static void Release();
private:
	std::map<int, M_everyday_taskData> mMapData;
};
